body {
    margin: 0;
    padding: 0;
    overflow: hidden;
    /* Prevent body scroll */
    font-family: "Poppins", sans-serif;
}

.container-main {
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    /* fixed height */
    width: 100%;
    background: linear-gradient(to top, rgba(104, 64, 240, 0.35) 0%, rgba(104, 63, 238, 0.0) 40%, #fff 100%)
}

/* Scrollable form container */
.register-container {
    background: white;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.1);
    max-width: 500px;
    width: 100%;
    padding: 20px 40px;
    border-top: 4px solid #0066cc;
    height: max-content;
    /* very important */
    position: relative;
    z-index: 1;

    /* transition: box-shadow 280ms ease, transform 280ms ease; */
}

.user-form-visible {
    opacity: 1;
}

.user-form-hidden {
    opacity: 0;
}

.logo-container {
    text-align: center;
    margin-bottom: 25px;
}

.header-logo {
    width: 178px;
}

.register-title {
    text-align: center;
    color: #333;
    font-size: 24px;
    font-weight: 300;
    margin-bottom: 20px;
    padding-bottom: 10px;
}

.language-selector {
    text-align: right;
    margin-bottom: 15px;
}

.language-selector select {
    border: none;
    padding: 6px 12px;
    border-radius: 4px;
    font-size: 13px;
    background: white;
    cursor: pointer;
}

.form-label {
    color: #363636;
    font-size: 13px;
    margin-bottom: 6px;
    font-weight: 300;
}

.form-control,
.form-select {
    border: 1px solid #f0f0f0;
    background-color: #fff;
    border-radius: 0px;
    height: 36px !important;
    font-size: 14px;
    border-bottom: 1px solid #8a8d90;
}

.form-control:hover,
.form-select:hover {
    border-bottom: 1px solid #667eea;
}

.form-control:focus,
.form-select:focus {
    border: 2px solid #667eea;
    box-shadow: 0 0 0 0.15rem rgba(102, 126, 234, 0.15);
}


.password-toggle {
    position: absolute;
    padding: 12px;
    right: 0px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    color: #999;
    border-left: 1px solid #f0f0f0;
}

.password-toggle:hover {
    color: #667eea;
}

.password-wrapper {
    position: relative;
}


.btn-register {
    background: #6840f0;
    color: white;
    border: none;
    padding: 8px;
    font-size: 15px;
    font-weight: 500;
    width: 100%;
    cursor: pointer;
    transition: all 0.3s;
    box-shadow: 0 4px 12px rgba(102, 126, 234, 0.3);
    margin-bottom: 60px !important;
}

.send-btn {
    margin-bottom: 80px !important;
}

.back-to-login {
    font-size: 13px;
}

.btn-register:hover {
    background: #5568d3;
    transform: translateY(-1px);
}

.signin-link {
    position: absolute;
    color: #72767b;
    font-size: 14px;
    background-color: #6840f01f;
    left: 0px;
    bottom: 0px;
    width: 100%;
    padding: 14px 0px;
}

.form-check-label {
    font-size: 13px;
    color: #363636;
}

.cloud-link {
    font-size: 10px;
    color: #555;
    text-decoration: underline;
    text-align: end;
}

.error-msg {
    color: #ff0000;
}

@media (max-width: 576px) {
    .register-container {
        padding: 25px 20px;
        border-top: 0px;
        border-radius: 0px;
    }

    .register-title {
        font-size: 22px;
    }

    .container-fluid {
        padding-left: 0px !important;
        padding-right: 0px !important;
    }

    .logo-container {
        width: 100%;
        background-color: #f0f0f0;
        padding: 20px 10px;
        margin-bottom: 0px;
        display: flex;
        justify-content: flex-start;
    }

    .header-logo {
        width: 178px;
    }

    .signin-link {
        background-color: transparent;
    }
}